use pc_keyboard::KeyEvent;

#[allow(dead_code)]
#[derive(Debug)]
pub enum Event {
    TimerInterrupt(Option<usize>), // trash unused value
    Ps2KeyEvent(Option<KeyEvent>),
}

#[macro_export]
macro_rules! get_event_value {
    ($typ:pat, $ev:expr) => {
        match $ev {
            $typ(v) => v.unwrap(),
            _ => panic!("Bad event value")
        }
    };
}

